Subject: Re: Long boot delay on 460EX with 2.6.28-rc8

From: Stefan Roese <[email-masked]>
Date: Fri, 19 Dec 2008 08:56:19 +0100

On Friday 19 December 2008, Felix Radensky wrote:
> Thanks a lot to everyone who replied. I've managed to identify the cause
> of the delay. The board is equipped with 256 MiB Samsung NAND flash.
> Since NAND support is a must for this platform, I've intergated the ndfc
> driver recently posted by Sean McLennan. With this driver enabled the delay
> is present, without it messages appear on the console immediately.
>
> Is this an expected behavior - detection of 256 MiB NAND flash
> takes around 20 seconds. The ndfc driver works fine after boot.

No, 20 seconds is definitely too long. Something must be wrong with the ndfc 
driver or the NAND dts entries.

Best regards,
Stefan